Bug 500515 - (ntfs-config) ntfs-config not running
ntfs-config not running
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ntfs-config (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 21:11 EDT by Daniel de Morais Gurgel
Modified: 2009-06-18 07:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0.1-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 07:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel de Morais Gurgel 2009-05-12 21:11:57 EDT
Description of problem: ntfs-config is not running!


Version-Release number of selected component (if applicable):
Name       : ntfs-config
Arch       : noarch
Version    : 1.0.1
Release    : 5.fc11
Size       : 677 k
Repo       : installed


How reproducible:
[daniel@localhost ~]$ ntfs-config-root 
Traceback (most recent call last):
  File "/usr/sbin/ntfs-config-root", line 41, in <module>
    from NtfsConfig.Fstab.FstabDialogs import dialog
ImportError: No module named NtfsConfig.Fstab.FstabDialogs

[daniel@localhost ~]$ ntfs-config
Traceback (most recent call last):
  File "/usr/bin/ntfs-config", line 41, in <module>
    from NtfsConfig.NtfsConfig import *
ImportError: No module named NtfsConfig.NtfsConfig

Additional info:
Using Fedora 11 (Leonidas) Rawhide
Comment 1 DemetrisK 2009-06-01 18:35:20 EDT
Same here

[demetris@innovator ~]$ ntfs-config
Traceback (most recent call last):
  File "/usr/bin/ntfs-config", line 41, in <module>
    from NtfsConfig.NtfsConfig import *
ImportError: No module named NtfsConfig.NtfsConfig
[demetris@innovator ~]$ ntfs-config-root
Traceback (most recent call last):
  File "/usr/sbin/ntfs-config-root", line 41, in <module>
    from NtfsConfig.Fstab.FstabDialogs import dialog
ImportError: No module named NtfsConfig.Fstab.FstabDialogs
[demetris@innovator ~]$
Comment 2 Traxtopel 2009-06-08 07:29:37 EDT
Problem is package is noarch, but actually it is x86_64.


i.e.
/usr/lib64/python2.6/site-packages/NtfsConfig
Comment 3 Bug Zapper 2009-06-09 11:43:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Thomas Pifer 2009-06-11 14:23:41 EDT
I'm also having the same problem and until the bug is fixed, you can workaround the bug by creating a link for ntfs-config in /usr/lib:

su -c 'ln -s /usr/lib64/python2.6/site-packages/NtfsConfig/ /usr/lib/python2.6/site-packages/'
Comment 5 Nicu Buculei 2009-06-12 03:31:07 EDT
this is not about x86_64, I get the same on i686
Comment 6 Xavier Lamien 2009-06-12 07:11:25 EDT
sorry for having been late on that one.
I'm gonna look at this this week-end if you don't mind.
Comment 7 Fedora Update System 2009-06-14 16:53:14 EDT
ntfs-config-1.0.1-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ntfs-config-1.0.1-6.fc11
Comment 8 Fedora Update System 2009-06-18 07:41:03 EDT
ntfs-config-1.0.1-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.